package com.muyu.market.config;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.security.MessageDigest;
import java.util.HashMap;
import java.util.Map;

import com.muyu.market.domain.Standing;
import com.muyu.market.utils.SecurityAESTool;
import org.apache.commons.io.IOUtils;
import org.apache.http.HttpEntity;
import org.apache.http.client.config.RequestConfig;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.util.EntityUtils;
/**

 * @author jefferson
 */

public class JavaGetConfig {

    //设置超时时间为5秒
    public static RequestConfig config = RequestConfig.custom().setConnectTimeout(5000).setSocketTimeout(5000).build();
    // 配置您申请的KEY,在个人中心->我的数据,接口名称上方查看
    public static final String APPKEY = "1f17535bf737e1ab3165b7edcabced88";
    //明文查询地址
    public static String query_url = "http://op.juhe.cn/idcard/query?key=" + APPKEY;
    //加密查询地址
    public static String queryEncry_url = "http://op.juhe.cn/idcard/queryEncry?key=" + APPKEY;

    //主方法
    public static String standing(Standing standing) throws Exception {

        // ----------------------身份证实名查询-----------------------------------------------------------------------

         int type = 1;// 普通版,不需要加密
         Map<String, Object> params = new HashMap<>();
         params.put("realname", standing.getRealname());
         params.put("idcard", standing.getIdcard());

        // ----------------------身份证实名查询(加密版)-----------------------------------------------------------------------
//        String realname = "张三";// 姓名
//        String idcard = "32072119970602561X";// 身份证
//        String openid = "";// 个人中心查询
//        String key = MD5(openid).substring(0, 16);//取前16位作为加密密钥
//        int type = 2;// 加密版本
//        realname = SecurityAESTool.encrypt(realname, key);//加密姓名
//        idcard = SecurityAESTool.encrypt(idcard, key);//加密身份证
//        Map<String, Object> params = new HashMap<>();//组合参数
//        params.put("realname", realname);
//        params.put("idcard", idcard);
        //请求接口
        String result = queryResult(params, type);
        //打印结果
        System.out.println(result);

        return result;
    }

    /**

     * 请求接口查询数据

     * @param params 参数
     * @param type 类型，1明文查询（默认），2加密版
     * @return 结果
     * @throws Exception
     */

    public static String queryResult(Map<String, Object> params, int type) throws Exception {

        CloseableHttpClient httpClient = HttpClients.createDefault();
        CloseableHttpResponse response = null;
        String result = null;
        String url = query_url;
        switch (type) {
            case 2:
                url = queryEncry_url;
                break;
        }
        try {
            url = new StringBuffer(url).append("&").append(urlencode(params)).toString();
            HttpGet httpget = new HttpGet(url);
            httpget.setConfig(config);
            response = httpClient.execute(httpget);
            HttpEntity resEntity = response.getEntity();
            if (resEntity != null) {
                result = IOUtils.toString(resEntity.getContent(), "UTF-8");
            }
            EntityUtils.consume(resEntity);
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            response.close();
            httpClient.close();
        }
        return result;
    }



    // 将map型转为请求参数型

    public static String urlencode(Map<String, ?> data) {
        StringBuilder sb = new StringBuilder();
        for (Map.Entry<String, ?> i : data.entrySet()) {
            try {
                sb.append(i.getKey()).append("=").append(URLEncoder.encode(i.getValue() + "", "UTF-8")).append("&");
            } catch (UnsupportedEncodingException e) {
                e.printStackTrace();
            }
        }
        String result = sb.toString();
        result = result.substring(0, result.lastIndexOf("&"));
        return result;
    }



    /**
     * md5加密
     * @param data
     * @return 加密结果
     */
    public static String MD5(String data) {
        StringBuffer md5str = new StringBuffer();
        byte[] input = data.getBytes();
        try {
            // 创建一个提供信息摘要算法的对象，初始化为md5算法对象
            MessageDigest md = MessageDigest.getInstance("MD5");
            // 计算后获得字节数组
            byte[] buff = md.digest(input);
            // 把数组每一字节换成16进制连成md5字符串
            int digital;
            for (int i = 0; i < buff.length; i++) {
                digital = buff[i];
                if (digital < 0) {
                    digital += 256;
                }
                if (digital < 16) {
                    md5str.append("0");
                }
                md5str.append(Integer.toHexString(digital));
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return md5str.toString();
    }
}
