package com.muyu.market.config;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;
import java.util.HashMap;
import java.util.Map;
import java.util.stream.Collectors;

public class ThirdPartyConfig {

    public static String airQuality(String cityId) throws Exception {
        String apiKey = "02ccc3ea04810432b45399ecb183195d";
        String apiUrl = "http://apis.juhe.cn/fapigw/air/historyHours";

        HashMap<String, String> map = new HashMap<>();
        map.put("key", apiKey);
        map.put("cityId", cityId);

        URL url = new URL(String.format(apiUrl + "?" + params(map)));
        HttpURLConnection connection = (HttpURLConnection) url.openConnection();
        connection.setRequestMethod("GET");
        BufferedReader in = new BufferedReader(new InputStreamReader(connection.getInputStream()));
        String inputLine;
        StringBuffer response = new StringBuffer();
        while ((inputLine = in.readLine()) != null) {
            response.append(inputLine);
        }
        in.close();
        connection.disconnect();

        // 返回HTTP 200 OK状态码和响应体
        return response.toString();
    }



    public static String params(Map<String, String> map) {
        return map.entrySet().stream()
                .map(entry -> {
                    try {
                        return entry.getKey() + "=" + URLEncoder.encode(entry.getValue(), StandardCharsets.UTF_8.toString());
                    } catch (Exception e) {
                        e.printStackTrace();
                        return entry.getKey() + "=" + entry.getValue();
                    }
                })
                .collect(Collectors.joining("&"));
    }
}
