package com.muyu.market.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 订单详情对象 sys_datawarehouse
 *
 * @author 2112A
 * @date 2024-09-01
 */

@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_datawarehouse")
public class SysDatawarehouse{
    private static final long serialVersionUID = 1L;

    /** 订单id */
    @TableId( type = IdType.AUTO)
    private Long orderId;

    /** 订单编号 */
    @Excel(name = "订单编号")
        private String orderBian;

    /** 下单时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "下单时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date orderTime;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String shopName;

    /** 姓名 */
    @Excel(name = "姓名")
    private String orderName;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String phone;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal orderScore;

    /** 支付方式 */
    @Excel(name = "支付方式")
    private String payway;



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("orderId", getOrderId())
            .append("orderBian", getOrderBian())
            .append("orderTime", getOrderTime())
            .append("userId", getUserId())
            .append("shopName", getShopName())
            .append("orderName", getOrderName())
            .append("phone", getPhone())
            .append("orderScore", getOrderScore())
            .append("payway", getPayway())
            .toString();
    }
}
