package com.muyu.market.service;

import java.util.List;
import com.muyu.market.domain.MyApi;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 我的apiService接口
 *
 * @author 2112A
 * @date 2024-09-06
 */
public interface IMyApiService extends IService<MyApi> {

    public MyApi selectMyApiByUserIdAndApiId(Long userId,Long apiId);

    public Integer updByUserIdAndApiId(MyApi myApi);
    /**
     * 精确查询我的api
     *
     * @param myId 我的api主键
     * @return 我的api
     */
    public MyApi selectMyApiByMyId(Long myId);

    /**
     * 查询我的api列表
     *
     * @param myApi 我的api
     * @return 我的api集合
     */
    public List<MyApi> selectMyApiList(MyApi myApi);

    /**
     * 判断 我的api id是否唯一
     * @param myApi 我的api
     * @return 结果
     */
    Boolean checkIdUnique(MyApi myApi);

}
