package com.muyu.market.service;

import java.util.List;
import com.muyu.market.domain.ReqMsg;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 请求报文Service接口
 *
 * @author 2112A
 * @date 2024-09-05
 */
public interface IReqMsgService extends IService<ReqMsg> {
    /**
     * 精确查询请求报文
     *
     * @param reqId 请求报文主键
     * @return 请求报文
     */
    public ReqMsg selectReqMsgByReqId(Long reqId);

    /**
     * 查询请求报文列表
     *
     * @param reqMsg 请求报文
     * @return 请求报文集合
     */
    public List<ReqMsg> selectReqMsgList(ReqMsg reqMsg);

    /**
     * 判断 请求报文 id是否唯一
     * @param reqMsg 请求报文
     * @return 结果
     */
    Boolean checkIdUnique(ReqMsg reqMsg);

}
