package com.muyu.market.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.market.domain.SysDatawarehouse;

import java.util.List;

/**
 * 订单详情Service接口
 *
 * @author 2112A
 * @date 2024-09-01
 */
public interface ISysDatawarehouseService extends IService<SysDatawarehouse> {
    /**
     * 精确查询订单详情
     *
     * @param userId 订单详情主键
     * @return 订单详情
     */
    public List<SysDatawarehouse> selectSysDatawarehouseByUserId(Long userId);

    /**
     * 查询订单详情列表
     *
     * @param sysDatawarehouse 订单详情
     * @return 订单详情集合
     */
    public List<SysDatawarehouse> selectSysDatawarehouseList(SysDatawarehouse sysDatawarehouse);

    /**
     * 判断 订单详情 id是否唯一
     * @param sysDatawarehouse 订单详情
     * @return 结果
     */
    Boolean checkIdUnique(SysDatawarehouse sysDatawarehouse);

}
