package com.muyu.market.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.market.domain.SysFirm;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * firmListService接口
 *
 * @author 2112A
 * @date 2024-08-25
 */
@Service
public interface ISysFirminfoService extends IService<SysFirm> {

    Integer upd(@Param("adminsid") Long adminsid, @Param("firmScore") Double firmScore);
    /**
     * 精确查询firmList
     *
     * @param adminsid firmList主键
     * @return firmList
     */
    public SysFirm selectSysFirminfoByAdminsid(Long adminsid);

    /**
     * 查询firmList列表
     *
     * @param sysFirm firmList
     * @return firmList集合
     */
    public List<SysFirm> selectSysFirminfoList(SysFirm sysFirm);

    /**
     * 判断 firmList id是否唯一
     * @param sysFirm firmList
     * @return 结果
     */
    Boolean checkIdUnique(SysFirm sysFirm);

    Integer updateFirmFromByFirmId(SysFirm sysFirm);
}
