package com.muyu.market.service.impl;



import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.market.domain.SysApitype;
import com.muyu.market.domain.UserRole;
import com.muyu.market.mapper.SysApitypeMapper;
import com.muyu.market.service.ISysApitypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 接口Service业务层处理
 *
 * @author ruoyi
 * @date 2024-08-21
 */
@Service
public class SysApitypeServiceImpl extends ServiceImpl<SysApitypeMapper, SysApitype> implements ISysApitypeService {
    @Autowired
    private SysApitypeMapper sysApitypeMapper;

    @Override
    public Integer updateCreateByUserId(Long userId) {
        return sysApitypeMapper.updateCreateByUserId(userId);
    }

    @Override
    public UserRole selectUserRoleByUserId(Long userId) {
        return sysApitypeMapper.selectUserRoleByUserId(userId);
    }

    /**
     * 查询接口
     *
     * @param sysId 接口主键
     * @return 接口
     */
    @Override
    public SysApitype selectSysApitypeBySysId(Long sysId) {
        return sysApitypeMapper.selectSysApitypeBySysId(sysId);
    }

    /**
     * 查询接口列表
     *
     * @param sysApitype 接口
     * @return 接口
     */
    @Override
    public List<SysApitype> selectSysApitypeList(SysApitype sysApitype) {
        return sysApitypeMapper.selectSysApitypeList(sysApitype);
    }

    /**
     * 新增接口
     *
     * @param sysApitype 接口
     * @return 结果
     */
    @Override
    public int insertSysApitype(SysApitype sysApitype) {
            return sysApitypeMapper.insertSysApitype(sysApitype);
    }

    /**
     * 修改接口
     *
     * @param sysApitype 接口
     * @return 结果
     */
    @Override
    public int updateSysApitype(SysApitype sysApitype) {
        return sysApitypeMapper.updateSysApitype(sysApitype);
    }

    /**
     * 批量删除接口
     *
     * @param sysIds 需要删除的接口主键
     * @return 结果
     */
    @Override
    public int deleteSysApitypeBySysIds(Long[] sysIds) {
        return sysApitypeMapper.deleteSysApitypeBySysIds(sysIds);
    }

    /**
     * 删除接口信息
     *
     * @param sysId 接口主键
     * @return 结果
     */
    @Override
    public int deleteSysApitypeBySysId(Long sysId) {
        return sysApitypeMapper.deleteSysApitypeBySysId(sysId);
    }
}
