package com.muyu.market.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.utils.StringUtils;
import com.muyu.market.domain.SysFirm;
import com.muyu.market.mapper.SysFirminfoMapper;
import com.muyu.market.service.ISysFirminfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.Assert;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * firmListService业务层处理
 *
 * @author 2112A
 * @date 2024-08-25
 */
@Service
public class SysFirminfoServiceImpl
        extends ServiceImpl<SysFirminfoMapper, SysFirm>
        implements ISysFirminfoService {

    @Autowired
    private  SysFirminfoMapper sysFirminfoMapper;

    @Override
    public Integer upd(Long adminsid, Double firmScore) {
        return sysFirminfoMapper.upd(adminsid, firmScore);
    }

    /**
     * 精确查询firmList
     *
     * @param adminsid firmList主键
     * @return firmList
     */
    @Override
    public SysFirm selectSysFirminfoByAdminsid(Long adminsid)
    {
        LambdaQueryWrapper<SysFirm> queryWrapper = new LambdaQueryWrapper<>();
        Assert.notNull(adminsid, "adminsid不可为空");
        queryWrapper.eq(SysFirm::getAdminsid, adminsid);
        return sysFirminfoMapper.selectSysFirminfoListByUserId(adminsid);
    }


    /**
     * 查询firmList列表
     *
     * @param sysFirm firmList
     * @return firmList
     */
    @Override
    public List<SysFirm> selectSysFirminfoList(SysFirm sysFirm)
    {
        return sysFirminfoMapper.selectSysApitypeList(sysFirm);

    }

    /**
    * 唯一 判断
    * @param sysFirm firmList
     * @return firmList
    */
    @Override
    public Boolean checkIdUnique(SysFirm sysFirm) {
        LambdaQueryWrapper<SysFirm> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(SysFirm::getFirmId, sysFirm.getFirmId());
        return this.count(queryWrapper) > 0;
    }

    @Override
    public Integer updateFirmFromByFirmId(SysFirm sysFirm) {
        return sysFirminfoMapper.updateFirmFromByFirmId(sysFirm);
    }


}
